import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/form_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/form_option_entity.g.dart';

@JsonSerializable()
class FormOptionEntity {
  @JSONField(name: "type_of_application")
  List<String> typeOfApplication = [];
  @JSONField(name: "ownership_status")
  List<String> ownershipStatus = [];

  FormOptionEntity();

  factory FormOptionEntity.fromJson(Map<String, dynamic> json) => $FormOptionEntityFromJson(json);

  Map<String, dynamic> toJson() => $FormOptionEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
